Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-q
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-module-q
Version:        2.3
Release:        alt1_2
Summary:        Quick and dirty python debugging output

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/q
Source0:        https://pypi.python.org/packages/source/q/q/q-%{version}.tar.gz
# README from upstream's SCM
Source1: README.md
# Fix for using @q decorator
# Submitted upstream: https://github.com/zestyping/q/pull/11
Patch0: 0001-q-Trace-decorator-needs-to-check-more-lines-to-work.patch
# Some other patches I have pending upstream:
# python3 support https://github.com/zestyping/q/pull/9
# Use tmpdir: https://github.com/zestyping/q/pull/8
BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
If you've ever been frustrated trying to debug with print because a web
application or a unittesting framework is swallowing your debugging output,
q will make you jump for joy.

  import q
  variable = 'Hmmm... something happened here'
  q(variable)

cat /tmp/q


%prep
%setup -q -n q-%{version}

%patch0 -p1

cp %{SOURCE1} .

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

 
%files
%doc README.md
%{python_sitelibdir_noarch}/*


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1_2
- initial fc import

